/*
 * AnalogClock.cpp
 *
 *  Created on: 07/giu/2012
 *      Author: bertini
 */

#include "AnalogClock.h"

#include <iostream>

AnalogClock::AnalogClock(Timer* in) {
	subject = in;
}

AnalogClock::~AnalogClock() {
	detach();
}

void AnalogClock::displayTime() {
	std::cout << "Analog clock - Time: " << time << std::endl;
}


void AnalogClock::update() {
	time = subject->getSecond();
	displayTime();
}

void AnalogClock::attach() {
	subject->subscribe( this );
}

void AnalogClock::detach() {
	subject->unsubscribe( this );
}

